<?php

	/*
		Plugin Name: Buzz Machine
		Description: Create highly sharable memes about your product, service or business and much more. 
		Version: 2.0
	*/

	add_action('template_redirect', 'checkifbuzzmachine_x', 5);
	function checkifbuzzmachine_x() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'buzzmachine') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/buzzmachine' . '/buzzpage.php');
			exit;
			
		}
		
	}
function buzzmachinePlaceholder($content, $placeholder) {
	if ($content == "") {
		echo $placeholder;
	}
	else {
		echo stripslashes(html_entity_decode($content));
	}
}
	require_once('settings/index.php');

	register_activation_hook( __FILE__, 'activatebuzzmachine');

	function activatebuzzmachine() {
		global $wpdb;
		$table_name = $wpdb->prefix . "buzzmachine_leads";
		   
		   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		      
		      $sql = "CREATE TABLE " . $table_name . " (
			    id INTEGER(40) UNSIGNED AUTO_INCREMENT,
			   name varchar(500),
			   email varchar(500),
			   pageID varchar(500),
			   memeImage varchar(500),
			   UNIQUE KEY id (id)
			 );";
		
		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		      dbDelta($sql);
		   }


		  
	  }
	
	function buzzmachine_addnewlead($name, $email, $pageID, $memeImage) {
		global $wpdb;
 		$table_db_name = $wpdb->prefix . "buzzmachine_leads";
 		$wpdb->insert( $table_db_name, 
        array( 
	     'name' => $name,
	     'email' => $email,
	     'memeImage' => $memeImage,
	     'pageID' => $pageID
	      )
		);
		
		
	}

	
?>